# Mediawiki

Mediawiki [1.32.1](https://www.mediawiki.org/wiki/Release_notes/1.32.1).

Requires Docker version 1.11.2 and up

Based on [`mediawiki-ve-bundle`](https://hub.docker.com/r/revianlabs/mediawiki-ve-bundle).

1. Set up Docker Swarm
2. `cp .envrc.sample .envrc`
3. Edit `.envrc`
4. `direnv allow` (or `. .envrc`)
5. `. .helpers.sh` (don't forget the dot!)
6. `create-secrets` (note down the passwords!) FIXME: Current function doesn't
   output passwords 😕
7. `docker stack deploy -c compose.yml mediawiki`
8. Go to the `$DOMAIN` you configured in #3
9. Click "Install", then follow the prompts. Enter the `root` and user passwords
   you generated in #6
10. Download the `LocalSettings.php`, and copy it to the `mediawiki_mediawiki`
    container, in `/var/www/html`, using e.g. 

        docker container cp ./local/path/to/LocalSettings.php <containerid>:/var/www/html/

## License

MIT License
